org.firebirdsql.gds.ng.wire.version16

## Class V16WireOperations

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.AbstractWireOperations
  - - org.firebirdsql.gds.ng.wire.version10.V10WireOperations
    - - org.firebirdsql.gds.ng.wire.version11.V11WireOperations
      - - org.firebirdsql.gds.ng.wire.version13.V13WireOperations
        - - org.firebirdsql.gds.ng.wire.version15.V15WireOperations
          - - org.firebirdsql.gds.ng.wire.version16.V16WireOperations

All Implemented Interfaces:
  FbWireOperations

Direct Known Subclasses:
  V19WireOperations

    public class V16WireOperations
    extends V15WireOperations

Since:
  5
Author:
  Mark Rotteveel

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

`FbWireOperations.ProcessAttachCallback`

### Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.wire.version13.V13WireOperations

`CHA_CHA_PLUGIN_SPI_CLASS_NAME`

### Constructor Summary

Constructors
Constructor and Description
`V16WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected BatchCompletionResponse` `readBatchCompletionResponse(XdrInputStream xdrIn)` Reads the batch completion response (`op_batch_cs`) without reading the operation code itself.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version15.V15WireOperations

`readCryptKeyCallback, writeCryptKeyCallback`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version13.V13WireOperations

`authReceiveResponse, enableEncryption, handleCryptKeyCallback`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11WireOperations

`enqueueDeferredAction, processDeferredActions`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

`addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getPluginSpecificData, getXdrIn, getXdrOut, getXdrStreamAccess, processOperation, processResponse, processResponseWarnings, readGenericResponse, readInlineBlobResponse, readNextOperation, readOperationResponse, readResponse, readSqlResponse, readStatusVector, readStatusVector, setNetworkTimeout, withLock, writeDirect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### V16WireOperations

    public V16WireOperations(WireConnection<?,?> connection,
                             WarningMessageCallback defaultWarningMessageCallback)

### Method Detail

#### readBatchCompletionResponse

    protected BatchCompletionResponse readBatchCompletionResponse(XdrInputStream xdrIn)
                                                           throws java.sql.SQLException,
                                                                  java.io.IOException

Description copied from class: `AbstractWireOperations`
Reads the batch completion response (`op_batch_cs`) without reading the operation code itself.

Overrides:
  `readBatchCompletionResponse` in class `AbstractWireOperations`
Parameters:
  `xdrIn` - XDR input stream to read
Returns:
  batch completion response
Throws:
  `java.sql.SQLException` - for errors reading the response from the connection
  `java.sql.SQLFeatureNotSupportedException` - when the protocol version does not support this response
  `java.io.IOException` - for errors reading the response from the connection